# Pull Request

## Description

Brief description of the changes in this PR.

## Type of Change

- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] Documentation update
- [ ] Performance improvement
- [ ] Code refactoring

## Changes Made

- List the specific changes made in this PR
- Use bullet points for clarity
- Include any new dependencies or breaking changes

## Testing

- [ ] I have added tests that prove my fix is effective or that my feature works
- [ ] New and existing unit tests pass locally with my changes
- [ ] I have tested the changes with real logging configuration scenarios

## Test Cases

Describe the test cases you've added or the scenarios you've tested:

```python
# Example of how to test your changes
settings = LoggingSettings(...)
config = settings.model_dump()
# Assert expected behavior
```

## Documentation

- [ ] I have updated the README.md if needed
- [ ] I have added docstrings to new functions/classes
- [ ] I have updated type hints where applicable

## Checklist

- [ ] My code follows the project's style guidelines
- [ ] I have performed a self-review of my own code
- [ ] I have commented my code, particularly in hard-to-understand areas
- [ ] My changes generate no new warnings
- [ ] I have checked that my code doesn't introduce security vulnerabilities

## Related Issues

Closes #(issue number) (if applicable)

## Additional Notes

Any additional information or context about this PR.
